<?php 
    $php_ver_comp = version_compare(phpversion(), '5.3.0');    
    
    $php_result  = ($php_ver_comp < 0) ? 'red' : 'green'; 
    $json_result = (function_exists('json_encode')) ? 'green' : 'red'; 
    
    $phptz = @ini_get('date.timezone');
    $phptz_result = (empty($phptz)) ? 'red' : 'green';
    
    $phptz = @ini_get('date.timezone');
    $phptz2 = @date_default_timezone_get(); 
    
    $phptz_result = (empty($phptz) && empty($phptz2)) ? 'red' : 'green';        
    
    $mod_rewrite_result = (chek('mod_rewrite')) ? 'green' : 'red';        
    
    $pdo_mysql_result = (chek('pdo_mysql')) ? 'green' : 'red';
    $pdo_sqlite_result = (chek('pdo_sqlite')) ? 'green' : 'red';   
    
    if($pdo_mysql_result == 'red' && $pdo_sqlite_result == 'red'){
        $pdo_result = 'red';
    }
    elseif($pdo_mysql_result == 'green' && $pdo_sqlite_result == 'green'){
        $pdo_result = 'green'; 
    }            
    else{
        $pdo_result = 'green';
    }
    
    $curl = (function_exists('curl_init')) ? 'green' : 'warning';
    
?>

<?php $app_name = 'ReDIRECTOR 3.0';?>
<!DOCTYPE HTML>
<html>
<head>
	<meta http-equiv="content-type" content="text/html" />
	<title><?php echo $app_name?> / Программа установки</title>
    <link href="//fonts.googleapis.com/css?family=Roboto:100,100i,300,300i,400,400i,500,500i,700,700i&amp;subset=cyrillic,cyrillic-ext" rel="stylesheet">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
    <link rel="stylesheet" href="//4994.ru/r3_files/upload/test_assets/css.css">    
    <style>
        body{
            padding: 30px;
        }
    </style>
</head>

<body>
    <div class="text-right" id="google_translate_element"></div>
    <div class="container">
    <div class="text-center">
        <img src="//4994.ru/r3_files/upload/test_assets/logo_install.png" />
    </div>
    
        <h2 class="text-center">Тест</h2>
        <div class="block">
        <table>
                <tr>
                    <td>1) Версия PHP</td>
                    <td class="<?php echo $php_result?>"><span>Требуется: 5.3 и выше, установлена <?php echo phpversion()?></span></td>
                </tr>
                <tr>
                    <td>2) JSON</td>
                    <td class="<?php echo $json_result?>"><span><?php echo ($json_result == 'green') ? '+' : '-'  ?></span></td>
                </tr>
                <tr>
                    <td>3) date.timezone</td>
                    <td class="<?php echo $phptz_result?>"><span><?php echo ($phptz_result == 'green') ? '+' : 'Настройте в php.ini или обратитесь к Вашему хостинг-провайдеру'  ?></span></td>
                </tr> 
                <tr>
                    <td>4) mod_rewrite</td>
                    <td class="<?php echo $mod_rewrite_result?>"><span><?php echo ($mod_rewrite_result == 'green') ? '+' : 'Модуль mod_rewrite не подключен, установите mod_rewrite  на вашем хостинге или обратитесь за помощью к провайдеру'?></span></td>
                </tr> 
                <tr>
                    <td>5) PDO</td>
                    <td class="<?php echo $pdo_result?>"><span><?php echo ($pdo_result == 'green') ? '+' : 'Модуль PDO не подключен, установите PDO  на вашем хостинге или обратитесь за помощью к провайдеру'?></span></td>
                </tr>  
                <tr>
                    <td>5.1) PDO_mysql</td>
                    <td class="<?php echo $pdo_mysql_result?>"><span><?php echo ($pdo_mysql_result == 'green') ? '+ Возможна работа с базой данных mysql' : 'Модуль pdo_mysql не подключен. Работа с этой СУБД невозможна. Установите PDO  на вашем хостинге или обратитесь за помощью к провайдеру. Либо используйте вариант б'?></span></td>
                </tr>      
                <tr>
                    <td>5.2) PDO_sqlite</td>
                    <td class="<?php echo $pdo_sqlite_result?>"><span><?php echo ($pdo_sqlite_result == 'green') ? '+ Возможна работа с базой данных sqlite' : 'Модуль pdo_sqlite не подключен. Работа с этой СУБД невозможна. Установите PDO  на вашем хостинге или обратитесь за помощью к провайдеру. Либо используйте вариант а'?></span></td>
                </tr>                
                
                <tr>
                    <td>6) cURL</td>
                    <td class="<?php echo $curl?>"><span><?php echo ($curl == 'green') ? '+' : '- Некоторые второстепенные функции будут недоступны'?></span></td>
                </tr>                  
                
                <tr>
                    <td colspan="3">
                        <p>Если один из пунктов 1-5 <span class="red">красный</span>, скрипт у вас работать не будет, настройте свой хостинг или подберите другой.</p>
                        <p>Если один из пунктов 5а или 5б <span class="red">зеленый</span>, а второй <span class="red">красный</span>, то скрипт у вас работать будет без каких-либо ограничений, но при установке нужно выбрать поддерживаемый тип базы данных.</p> 
                        <p>Если пункт 6 <span class="warning">оранжевый</span>, некоторые второстепенные фунуции будут недоступны.</p>
                    </td>
                </tr>                  
            </table>
        </table>        
        </div>        
    </div>
</body>
</html>

<?php function chek($opt){
    ob_start();
    phpinfo();
    $_tmp = ob_get_contents();
    ob_end_clean();
    
    $exp = '/\s*?('.$opt.')\s*?/is'; 
    return (preg_match($exp,$_tmp));
}